import { Plugins } from '@capacitor/core';
import { notAvailable } from '../util/models';
import { isFeatureAvailable, featureNotAvailableError } from '../util/feature-check';
import { useState } from 'react';
;
export const availableFeatures = {
    getPhoto: isFeatureAvailable('Camera', 'getPhoto')
};
export function useCamera() {
    const { Camera } = Plugins;
    const [photo, setPhoto] = useState();
    if (!availableFeatures.getPhoto) {
        return Object.assign({ getPhoto: featureNotAvailableError }, notAvailable);
    }
    const getPhoto = async (options) => {
        const photoObject = await Camera.getPhoto(options);
        setPhoto(photoObject);
    };
    return {
        photo,
        getPhoto,
        isAvailable: true
    };
}
//# sourceMappingURL=useCamera.js.map